Bulk Call Status
curl --request POST \
--url https://api-prod.interactly.ai/campaigns/v1/insurance-calling/calls/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callIds": [
"64f1a2b3c4d5e6f7a8b9c0d1",
"64f1a2b3c4d5e6f7a8b9c0d2"
]
}
'import requests
url = "https://api-prod.interactly.ai/campaigns/v1/insurance-calling/calls/status"
payload = { "callIds": ["64f1a2b3c4d5e6f7a8b9c0d1", "64f1a2b3c4d5e6f7a8b9c0d2"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({callIds: ['64f1a2b3c4d5e6f7a8b9c0d1', '64f1a2b3c4d5e6f7a8b9c0d2']})
};
fetch('https://api-prod.interactly.ai/campaigns/v1/insurance-calling/calls/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"record_id": "<string>",
"status": "<string>",
"failure_reason": "<string>",
"input": {},
"output": {},
"phone_call_artifacts": {
"audio_uri": "<string>",
"transcript_uri": "<string>"
}
}
]{
"message": "<string>"
}{
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"message": "<string>"
}Campaign Bulk Calls
Bulk Call Status
Get the status of multiple campaign calls in bulk.
- callIds: A list of campaign call IDs to retrieve statuses for.
POST
/
campaigns
/
v1
/
insurance-calling
/
calls
/
status
Bulk Call Status
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Body
application/json
List of call record IDs to retrieve status for
Response
Status records for each requested call ID
Call record ID
Resolved call status after applying review logic. Possible values: 'received', 'ready', 'queued', 'ringing', 'processing', 'ended', 'completed', 'failed', 'incomplete'
Error message when the call failed
Decrypted call payload — the data submitted at upload time
Structured data collected by the AI assistant during the call
Signed URLs for the call recording and transcript
Show child attributes
Show child attributes
⌘I